using System;
using System.Collections.Generic;
using System.Text;

namespace MapApp.Model
{
    public class MapLocation
    {
        double lat;
        double lng;
        int zoomLevel;
        string locationString;

        public MapLocation(string locationString, double lat, double lng)
        {
            this.LocationString = locationString;
            this.Lat = lat;
            this.Lng = lng;
        }

        public MapLocation(string locationString, double lat, double lng, int zoomLevel)
        {
            this.LocationString = locationString;
            this.Lat = lat;
            this.Lng = lng;
            this.ZoomLevel = zoomLevel;
        }

        public String LocationString {
            get { return locationString; }
            set { locationString = value; }
        }

        public double Lat
        {
            get { return lat; }
            set { lat = value; }
        }

        public double Lng
        {
            get { return lng; }
            set {lng = value;}
        }

        public int ZoomLevel {
            get { return zoomLevel; }
            set { zoomLevel = value; }
        }
    }
}
